Bug 149899 - [patch] games/wesnoth-devel: update to 1.9.0
Summary: [patch] games/wesnoth-devel: update to 1.9.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip Paeps
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-23 05:50 UTC by swell.k
Modified: 2010-08-26 12:10 UTC (History)
0 users

See Also:


Attachments
a.diff (33.05 KB, patch)
2010-08-23 05:50 UTC, swell.k
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description swell.k 2010-08-23 05:50:04 UTC
- sync with games/wesnoth, ports/149485 more accurately
- update
- drop system lua dependency, it's bundled now
- add ANA knob, `on' by default like configure.ac and it's -devel port, anyway
- silence warning on gcc45 about `th' (pthread_t), cf. config.log excerpt below

release notes: http://www.wesnoth.org/forum/viewtopic.php?f=5&t=31275

How-To-Repeat: $ wesnoth (ANA: trying to connect to server.wesnoth.org:14997)
Battle for Wesnoth v1.9.0
Started on Mon Aug 23 08:27:32 2010

Data directory: /usr/pkg/share/wesnoth
User configuration directory: /home/holo/.wesnoth1.9
User data directory: /home/holo/.wesnoth1.9
Cache directory: /home/holo/.wesnoth1.9/cache
Checking video mode: 1024x768x32...
setting mode to 1024x768x32
20100823 08:27:33 error display: could not open image 'buttons/menu-button-disabled.png'
20100823 08:27:33 error gui/draw: Image: 'buttons/menu-button-disabled.png' not found and won't be drawn.
20100823 08:27:33 error gui/draw: Image: 'buttons/menu-button-disabled.png' not found and won't be drawn.
Assertion failed: (!pthread_mutex_lock(&m)), function lock, file /usr/pkg/include/boost/thread/pthread/mutex.hpp, line 51.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

configure:16281: checking for the flags needed to use pthreads
configure:16346: g++45 -o conftest -O2 -W -Wall -ansi -O2 -pipe -fno-strict-aliasing -DDISABLE_POOL_ALLOC -I/usr/pkg/include  -I/usr/pkg/include/dbus-1.0 -I/usr/pkg/include/dbus-1.0/include    conftest.cpp -lm   -lz -pthread -L/usr/pkg/lib -ldbus-1    >&5
conftest.cpp: In function 'int main()':
conftest.cpp:48:34: warning: 'th' is used uninitialized in this function
configure:16353: $? = 0
This flag seems to have triggered warnings
configure:16346: g++45 -o conftest -O2 -W -Wall -ansi -O2 -pipe -fno-strict-aliasing -DDISABLE_POOL_ALLOC -I/usr/pkg/include  -I/usr/pkg/include/dbus-1.0 -I/usr/pkg/include/dbus-1.0/include    conftest.cpp -lm   -lz -pthread -L/usr/pkg/lib -ldbus-1   -lpthreads >&5
conftest.cpp: In function 'int main()':
conftest.cpp:48:34: warning: 'th' is used uninitialized in this function
/usr/pkg/bin/ld: error: cannot find -lpthreads
collect2: ld returned 1 exit status
configure:16353: $? = 1
configure: failed program was:
[...]
| #include <pthread.h>
| int
| main ()
| {
| pthread_t th; pthread_join(th, 0);
|     pthread_attr_init(0); pthread_cleanup_push(0, 0);
|     pthread_create(0,0,0,0); pthread_cleanup_pop(0);
|   ;
|   return 0;
| }
configure:16346: g++45 -o conftest -O2 -W -Wall -ansi -O2 -pipe -fno-strict-aliasing -DDISABLE_POOL_ALLOC -I/usr/pkg/include  -I/usr/pkg/include/dbus-1.0 -I/usr/pkg/include/dbus-1.0/include    conftest.cpp -lm   -lz -pthread -L/usr/pkg/lib -ldbus-1   -Kthread >&5
g++45: unrecognized option '-Kthread'
conftest.cpp: In function 'int main()':
conftest.cpp:48:34: warning: 'th' is used uninitialized in this function
configure:16353: $? = 0
This flag seems to have triggered warnings
configure:16346: g++45 -o conftest -O2 -W -Wall -ansi -O2 -pipe -fno-strict-aliasing -DDISABLE_POOL_ALLOC -I/usr/pkg/include  -I/usr/pkg/include/dbus-1.0 -I/usr/pkg/include/dbus-1.0/include    conftest.cpp -lm   -lz -pthread -L/usr/pkg/lib -ldbus-1   -kthread >&5
g++45: unrecognized option '-kthread'
conftest.cpp: In function 'int main()':
conftest.cpp:48:34: warning: 'th' is used uninitialized in this function
configure:16353: $? = 0
This flag seems to have triggered warnings
configure:16346: g++45 -o conftest -O2 -W -Wall -ansi -O2 -pipe -fno-strict-aliasing -DDISABLE_POOL_ALLOC -I/usr/pkg/include  -I/usr/pkg/include/dbus-1.0 -I/usr/pkg/include/dbus-1.0/include    conftest.cpp -lm   -lz -pthread -L/usr/pkg/lib -ldbus-1   -llthread >&5
conftest.cpp: In function 'int main()':
conftest.cpp:48:34: warning: 'th' is used uninitialized in this function
/usr/pkg/bin/ld: error: cannot find -llthread
collect2: ld returned 1 exit status
configure:16353: $? = 1
configure: failed program was:
[...]
| #include <pthread.h>
| int
| main ()
| {
| pthread_t th; pthread_join(th, 0);
|     pthread_attr_init(0); pthread_cleanup_push(0, 0);
|     pthread_create(0,0,0,0); pthread_cleanup_pop(0);
|   ;
|   return 0;
| }
configure:16346: g++45 -o conftest -O2 -W -Wall -ansi -O2 -pipe -fno-strict-aliasing -DDISABLE_POOL_ALLOC -I/usr/pkg/include  -I/usr/pkg/include/dbus-1.0 -I/usr/pkg/include/dbus-1.0/include    conftest.cpp -lm   -lz -pthread -L/usr/pkg/lib -ldbus-1   -pthread >&5
conftest.cpp: In function 'int main()':
conftest.cpp:48:34: warning: 'th' is used uninitialized in this function
configure:16353: $? = 0
configure:16381: result: -pthread
Comment 1 Edwin Groothuis freebsd_committer 2010-08-23 05:50:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->philip

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 swell.k 2010-08-25 07:09:18 UTC
A quick fix for TESTS build

  $ make
  ...
  c++ ... -o wesnoth_test tests/main.o ... -lboost_unit_test_framework ...
  /usr/bin/ld: /usr/lib/crt1.o: in function _start:/usr/src/lib/csu/amd64/crt1.c:93: error: undefined reference to 'main'
  collect2: ld returned 1 exit status

--- b.diff begins here ---
Index: games/wesnoth-devel/files/patch-src-tests-main.cpp
===================================================================
RCS file: games/wesnoth-devel/files/patch-src-tests-main.cpp
diff -N games/wesnoth-devel/files/patch-src-tests-main.cpp
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ games/wesnoth-devel/files/patch-src-tests-main.cpp	25 Aug 2010 05:48:44 -0000
@@ -0,0 +1,10 @@
+--- src/tests/main.cpp~
++++ src/tests/main.cpp
+@@ -15,6 +15,7 @@
+ #define GETTEXT_DOMAIN "wesnoth-test"
+ 
+ 
++#define BOOST_TEST_DYN_LINK
+ #define BOOST_TEST_MODULE wesnoth unit tests master suite
+ #include <boost/test/unit_test.hpp>
+ #include <boost/test/unit_test_monitor.hpp>
--- b.diff ends here ---
Comment 3 dfilter service freebsd_committer 2010-08-26 12:08:24 UTC
philip      2010-08-26 11:08:10 UTC

  FreeBSD ports repository

  Modified files:
    games/wesnoth-devel  Makefile distinfo pkg-plist 
    games/wesnoth-devel/files patch-src-Makefile.am 
  Added files:
    games/wesnoth-devel/files patch-m4-boost.m4 patch-m4-zlib.m4 
                              patch-src-gettext.cpp 
                              patch-src-gettext.hpp 
                              patch-src-tests-main.cpp 
  Log:
  Update to 1.9.0
  
  - sync with games/wesnoth, ports/149485 more accurately
  - update
  - drop system lua dependency, it's bundled now
  - add ANA knob, `on' by default like configure.ac and it's -devel port, anyway
  - silence warning on gcc45 about `th' (pthread_t), cf. config.log excerpt below
  
  Release notes: http://www.wesnoth.org/forum/viewtopic.php?f=5&t=31275
  
  PR:             ports/149899
  Submitted by:   Anonymous <swell.k@gmail.com>
  
  Revision  Changes    Path
  1.88      +28 -35    ports/games/wesnoth-devel/Makefile
  1.56      +3 -3      ports/games/wesnoth-devel/distinfo
  1.1       +11 -0     ports/games/wesnoth-devel/files/patch-m4-boost.m4 (new)
  1.1       +15 -0     ports/games/wesnoth-devel/files/patch-m4-zlib.m4 (new)
  1.2       +13 -6     ports/games/wesnoth-devel/files/patch-src-Makefile.am
  1.1       +15 -0     ports/games/wesnoth-devel/files/patch-src-gettext.cpp (new)
  1.1       +25 -0     ports/games/wesnoth-devel/files/patch-src-gettext.hpp (new)
  1.1       +10 -0     ports/games/wesnoth-devel/files/patch-src-tests-main.cpp (new)
  1.62      +56 -4     ports/games/wesnoth-devel/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Philip Paeps freebsd_committer 2010-08-26 12:08:30 UTC
State Changed
From-To: open->closed

Committed. Thanks!